Bug 45898 - update to www/oops (broken with new bison 1.75)
update to www/oops (broken with new bison 1.75)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: yar
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-01 15:40 UTC by marck
Modified: 2002-12-06 13:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (13.02 KB, patch)
2002-12-01 15:40 UTC, marck
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marck 2002-12-01 15:40:01 UTC
New bison is much more strict about grammar, so every rule should be
finished by semicolon; this behaviour brokes building of www/oops with
bison installed. With patch provided it is successfully compiled both with
stock byacc and ports-based bison.

Fix: New patch file needed: files/patch-src_parser.y

$FreeBSD$
How-To-Repeat: 
cd /usr/ports/devel/bison
make install
cd /usr/ports/www/oops
make
(the last brokes at parse.y)
Comment 1 yar freebsd_committer 2002-12-06 11:01:29 UTC
State Changed
From-To: open->closed

Committed, thanks! 
Now please don't forget to ask for that patch file's 
removal after a new Oops version is out! ;-) 


Comment 2 yar freebsd_committer 2002-12-06 11:01:29 UTC
Responsible Changed
From-To: freebsd-ports->yar

So I can see any feedback.
Comment 3 marck 2002-12-06 12:30:07 UTC
Yar,

thanks a lot, but my PR has been superseded by ports/46006:

http://freebsd.rinet.ru/cgi/query-pr.cgi?pr=ports/46006

So please commit it and remove my band-aid patch. Thanks.



On Fri, 6 Dec 2002, Yar Tikhiy wrote:

YT> Synopsis: update to www/oops (broken with new bison 1.75)
YT>
YT> State-Changed-From-To: open->closed
YT> State-Changed-By: yar
YT> State-Changed-When: Fri Dec 6 03:01:29 PST 2002
YT> State-Changed-Why:
YT> Committed, thanks!
YT> Now please don't forget to ask for that patch file's
YT> removal after a new Oops version is out! ;-)
YT>
YT>
YT> Responsible-Changed-From-To: freebsd-ports->yar
YT> Responsible-Changed-By: yar
YT> Responsible-Changed-When: Fri Dec 6 03:01:29 PST 2002
YT> Responsible-Changed-Why:
YT> So I can see any feedback.
YT>
YT> http://www.freebsd.org/cgi/query-pr.cgi?pr=45898
YT>

Sincerely,
D.Marck                                   [DM5020, DM268-RIPE, DM3-RIPN]
------------------------------------------------------------------------
*** Dmitry Morozovsky --- D.Marck --- Wild Woozle --- marck@rinet.ru ***
------------------------------------------------------------------------
Comment 4 yar freebsd_committer 2002-12-06 12:37:00 UTC
On Fri, Dec 06, 2002 at 03:30:07PM +0300, Dmitry Morozovsky wrote:
> 
> thanks a lot, but my PR has been superseded by ports/46006:
> 
> http://freebsd.rinet.ru/cgi/query-pr.cgi?pr=ports/46006
> 
> So please commit it and remove my band-aid patch. Thanks.

Have you tested it?

-- 
Yar
Comment 5 marck 2002-12-06 12:55:12 UTC
On Fri, 6 Dec 2002, Yar Tikhiy wrote:

YT> > thanks a lot, but my PR has been superseded by ports/46006:
YT> >
YT> > http://freebsd.rinet.ru/cgi/query-pr.cgi?pr=ports/46006
YT> >
YT> > So please commit it and remove my band-aid patch. Thanks.
YT>
YT> Have you tested it?

Well, it was not so comprehensive testing ;-) but at least it does compile both
without and with bison, and seems to work ;-)

parser.y fixes are already contained in distribution-patch.

Sincerely,
D.Marck                                   [DM5020, DM268-RIPE, DM3-RIPN]
------------------------------------------------------------------------
*** Dmitry Morozovsky --- D.Marck --- Wild Woozle --- marck@rinet.ru ***
------------------------------------------------------------------------